
.img-bg {
    background: url("../images/product/a33.png") no-repeat center;
}

.product_swiper {
    width: 100%;
    height: 420px;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 16px;
}

.product_swiper .swiper-slide {
    width: 1000px; /* 根据需求调整 */
}

.swiper-pagination{
    bottom: 16px !important;
    opacity: 0.9;
    border-radius: 200px;
    background: #EDEDED;
    display: block;
    width: auto !important;
    margin: 0 auto;
    padding: 0 16px 5px;
    left: 50% !important;
    transform: translateX(-50%) !important;
}
.swiper-pagination-bullet{
    width: 16px !important;
    height: 5px !important;
    border-radius: 2px !important;
    background: #ccc !important;
    opacity: 1 !important;
    transition: all 0.2s;
}
.swiper-pagination-bullet-active{
    width: 28px !important;
    background: rgba(0, 0, 0, 0.9) !important;
}

.product_banner{
    background: url("../images/product/bannerbg.png") no-repeat center;
    background-size: cover;
    height: 450px;
    text-align: center;
    padding-top: 100px;
}
.product_banner_tag{
    color: #FF6A00;
    height: 28px;
    line-height: 28px;
    border-radius: 100px;
    background: #FCF2ED;
    margin: 0 auto;
    padding: 0 12px;
    display: inline-flex;
    align-items: center;
}
.product_banner_tag:before{
    content: '';
    display: inline-block;
    width: 5px;
    height: 5px;
    border-radius: 100px;
    background: #FF6A00;
    margin-right: 6px;
}
.product_banner_title{
    font-size: 60px;
    line-height: 1.3em;
    padding: 8px 0;
}
.product_banner_title b{
    color: #FF6A00;
}
.product_banner_cont{
    color: #5C5F66;
    margin: 8px auto 24px;
}
.product_banner a.btn-g{
    padding: 13px 40px;
}
.product_banner_input{
    display: flex;
    justify-content: space-between;
    width: 650px;
    height: 52px;
    border-radius: 8px;
    background: #fff;
    border: 1px solid #DCDFE6;
    padding: 3px;
}
.product_banner_input input{
    display: flex;
    width: calc(100% - 120px);
    line-height: 44px;
    border-radius: 8px;
    border: none;
    padding: 12px;
}
.product_banner_input a{
    display: flex;
    line-height: 44px;
    border: none;
    padding-left: 12px;
    border-left: 1px solid #dfdfdf;
}

.product_adv{
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}

.product_adv_item{
    padding: 24px;
    border-radius: 16px;
    background: #fff;
}
.product_adv_item:hover{
    cursor: pointer;
    box-shadow: 0 0 10px 0 rgba(0, 0, 0, 0.1);
    background: url("../images/product/a08.png") no-repeat center;
    background-size: cover;
}
.product_adv_item svg{
    width: 48px;
    height: 48px;
}
.product_adv_item.textCenter{
    text-align: center;
}
.product_adv_title{
    font-size: 18px;
    padding: 12px 0;
    font-weight: 600;
}
.product_adv_cont{
    color: #999;
    font-size: 14px;
    line-height: 24px;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.product_adv_img img{
    width: 100%;
    margin-top: 16px;
}

.product_adv_a1{
    text-align: center;
}

.product_adv_a1 .product_adv_item{
    background: #fff;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
}



.product_list{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 24px;
}
.product_item{
    background: #fff;
    padding: 0 22px 28px;
    position: relative;
    border-radius: 16px;
}
.product_item:hover{
    cursor: pointer;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.1);
}
.product_item.on > div{
    position: relative;
    z-index: 1;
}
.product_item.on:before{
    content: '最受欢迎';
    background: linear-gradient(134deg, #66C0FF 0%, #ADA1FA 24.99%, #E18DE5 50%, #FE86D3 75.69%, #FFC591 100%);
    width: calc(100% + 4px);
    height: calc(100% + 40px);
    position: absolute;
    left: -2px;
    top: -38px;
    border-radius: 16px;
    text-align: center;
    color: #fff;
    line-height: 36px;
    font-size: 16px;
}
.product_item.on:after{
    content: '';
    background: #fff;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 16px;
}

.product_item_diy{
    background: url("../images/product/a10.png") no-repeat center;
    background-size: cover;
}
.product_cont_diy{
    background: url("../images/product/a09.png") no-repeat center;
    background-size: cover;
    border-radius: 16px;
    padding: 20px;
    color: #4A3009;
    margin-top: 24px;
}

.product_cont_title{
    font-size: 18px;
    padding: 24px 0 20px;
    font-weight: bold;
}
.product_cont_title span{
    font-size: 14px;
    color: #91949C;
    font-weight: initial;
    padding-top: 8px;
    display: block;
}
.product_cont_item{
    display: flex;
    margin-top: 8px;
}
.product_cont_item i{
    color: #00BBA1;
    margin-right: 6px;
}
.product_cont_item i.icontubiaozhizuomoban{
    color: #EF5656;
}
.product_cont_item span{
    width: 120px;
}
.product_price{
    display: flex;
    justify-content: space-between;
    color: #91949C;
}
.product_price > p{
    position: relative;
    width: 50%;
}
.product_price > p b{
    font-size: 24px;
    color: #151B26;
}

.product_price > p span{
    position: absolute;
    top: 0;
    left: 0;
}

.product_item .btn-g{
    width: 100%;
    padding: 10px 12px;
    border-radius: 20px;
    margin-top: 16px;
}

.product-layout {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
}
.product-inner-card {
    background-color: #ffffff;
    border: 1px solid #eef1f6;
    border-radius: 16px;
    overflow: hidden;
    box-shadow: 0 2px 6px rgba(0,0,0,0.01);
}

.product-inner-card img{
    width: 100%;
    border-radius: 16px;
}

.product-content {
    padding: 20px 16px;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.product-content-title {
    text-decoration: none;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 18px;
    font-weight: 700;
}
.product-content-msg {
    line-height: 1.65;
    color: #91949C;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.product_speed_01{
    background: #fff;
    border-radius: 16px;
    padding: 24px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
}

.product_speed_02 {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
    max-width: 900px;
    width: 100%;
}

.product_speed_02 .icona-lujing2{
    font-size: 24px;
    margin: 0 8px;
    color: transparent;
}

.product_speed_02 .color-blue .iconfont{
    background: linear-gradient(0deg, #cbe6fa 0%, #1f7cff 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.product_speed_02 .color-success .iconfont{
    background: linear-gradient(0deg, #d8fae1 0%, #25C251 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.product_speed_02 .color-purple .iconfont{
    transform: rotate(180deg);
    background: linear-gradient(0deg, #e4d8fa 0%, #673DE6 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.product_speed_02 .color-warning .iconfont{
    transform: rotate(180deg);
    background: linear-gradient(0deg, #f6dcd5 0%, #F85835 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
}

.product_speed_03 {
    border-radius: 16px;
    padding: 24px;
    display: flex;
    align-items: flex-start;
    gap: 16px;
}

.card-blue { background-color: #f4f6fc; }
.card-green { background-color: #f1fbf5; }
.card-purple { background-color: #f6f4fc; }
.card-orange { background-color: #fff6f5; }

.product_speed_03 svg {
    width: 48px;
    height: 48px;
    border-radius: 10px;
}

.product_speed_04 {
    display: flex;
    flex-direction: column;
    gap: 4px;
}

.domain-data-01{
    display: grid;
    grid-template-columns: minmax(0, 1.6fr) minmax(0, 1fr);
}
.domain-data-02{
    background: url("../images/product/a18.png") no-repeat center;
    background-size: cover;
    padding: 12px 16px;
    border-radius: 8px;
}
.domain-data-02 span{
    width: calc(100% - 120px);
}
.domain-data-03{
    background: #F3F6FB;
    border-radius: 16px;
    padding: 16px;
}
.domain-data-03 > div{
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 16px;
}
.domain-data-03 span{
    background: #fff;
    padding: 8px;
    border-radius: 8px;
    display: flex;
    justify-content: center;
    align-items: center;
}
.domain-data-04{
    background: url("../images/product/a20.png") no-repeat center;
    background-size: cover;
    padding: 16px 24px;
    border-radius: 8px;
}
.domain-data-05{
    position: relative;
}
.domain-data-05 svg{
    position: absolute;
    width: 48px;
    height: 48px;
    right: 20px;
}

.product_ssl1{
    display: flex;
    align-items: center;
    line-height: 36px;
    margin: 16px 0;
    position: relative;
}
.product_ssl1 .iconSSLzhengshu2{
    font-size: 32px;
    color: #25C251;
}
.product_ssl1 .iconjiantou_qiehuanzuo2{
    font-size: 22px;
    color: #999;
    margin: 0 24px;

}
.product_ssl1 .tag_info{
    width: 210px;
    height: 30px;
    line-height: 30px;
    border-radius: 4px;
    background: #F4F4F4;
    padding-left: 12px;
    display: block;
}
.product_ssl1 .give{
    position: absolute;
    left: 107px;
    top: 30px;

}
.product_ssl1 .give span{
    display: inline-block;
    line-height: 20px;
    text-align: center;
    width: 20px;
    height: 20px;
    border-radius: 4px;
    background: linear-gradient(180deg, #FF8E7B 0%, #F23F3F 100%);
    color: #fff;
    margin-right: 8px;
}
.product_ssl2{
    position: relative;
    left: 20px;
}
.product_ssl2:before{
    content: '';
    display: block;
    width: 1px;
    height: 144px;
    background: #CCCCCC;
    position: absolute;
    left: -20px;
    top: 15px;
}
.product_ssl2 .tag_info{
    position: relative;
    margin-bottom: 12px;
}
.product_ssl2 .tag_info:last-child{
    margin-bottom: 0;
}
.product_ssl2 .tag_info:before{
    content: '';
    display: block;
    width: 20px;
    height: 1px;
    background: #CCCCCC;
    position: absolute;
    left: -20px;
    top: 50%;
}
.product_ssl2 p{
    text-align: center;
    display: flex;
    justify-content: center;
    margin-bottom: 12px;
}
.product_ssl2 p i{
    display: inline-block;
    background: #ccc;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    margin: 0 2px;
}
.product_ssl3 > div{
    padding: 28px 24px;
    border-radius: 16px;
    background: #F3F6FB;
    position: relative;
}
.product_ssl3 > div:nth-child(1){
    background: #F3F6FB;
}
.product_ssl3 > div:nth-child(2){
    background: #EDFCF2;
}
.product_ssl3 > div:nth-child(3){
    background: #F5F2FC;
}
.product_ssl3 > div:nth-child(4){
    background: #FFF7F5;
}
.product_ssl3 > div > i{
    position: absolute;
    right: 16px;
    top: 14px;
    display: block;
    width: 72px;
    height: 72px;
}
.product_ssl3 > div:nth-child(1) > i{
    background: url("../images/product/a21.png") no-repeat right center;
    background-size: cover;
}
.product_ssl3 > div:nth-child(2) > i{
    background: url("../images/product/a22.png") no-repeat right center;
    background-size: cover;
}
.product_ssl3 > div:nth-child(3) > i{
    background: url("../images/product/a23.png") no-repeat right center;
    background-size: cover;
}
.product_ssl3 > div:nth-child(4) > i{
    background: url("../images/product/a24.png") no-repeat right center;
    background-size: cover;
}
.product_ssl4{
    background: url("../images/product/a25.png") no-repeat right center;
    background-size: cover;
    border-radius: 16px;
}
.product_ssl5{
    border-left: 3px solid #DCDFE6;
    padding-left: 24px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    gap: 24px;
}
.product_ssl5_item{
    position: relative;
    cursor: pointer;
}
.product_ssl5_item.on:before{
    content: '';
    display: block;
    width: 3px;
    height: 100%;
    background: #151B26;
    position: absolute;
    left: -27px;
    top: 0;
}
.product_ssl5_item p{
    line-height: 1em;
}
.product_ssl6 img{
    width: 100%;
    border-radius: 16px;
}

/* 注册流程样式 */
.registration-process {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
}

.process-step {
    flex: 1;
    text-align: center;
}

/* 进度条外层容器 */
.step-icon {
    width: 68px;
    height: 68px;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    transform: rotate(0deg);
    margin: 0 auto 16px;
}

.step-icon::before {
    content: "";
    position: absolute;
    width: 46px;
    height: 46px;
    background-color: #ffffff;
    border-radius: 50%;
}

.step-icon-1{
    background: conic-gradient(#ff6600 0deg 72deg, #eaeaea 72deg 360deg);
}
.step-icon-2{
    background: conic-gradient(#ff6600 0deg 144deg, #eaeaea 144deg 360deg);
}
.step-icon-3{
    background: conic-gradient(#ff6600 0deg 216deg, #eaeaea 216deg 360deg);
}
.step-icon-4{
    background: conic-gradient( #ff6600 0deg 288deg, #eaeaea 288deg 360deg);
}
.step-icon-5{
    background: conic-gradient(#ff6600 0deg 360deg, #eaeaea 360deg 360deg);
}

/* 数字样式 */
.step-number {
    position: relative;
    font-family: Arial, sans-serif;
    font-size: 30px;
    font-weight: bold;
    color: #1a202c; /* 深色文字 */
    z-index: 1;    /* 确保文字在遮罩层之上 */
}

.step-arrow {
    background: url("../images/product/a36.png") no-repeat center;
    width: 24px;
    height: 24px;
    display: inline-block;
    transform: rotate(-90deg);
    margin-top: 24px;
}

.domain-reg-table table{
    font-size: 16px;
}
.dengbao_01{
    display: flex;
    justify-content: space-between;
    background: url("../images/product/a34.png") no-repeat center;
    padding-top: 40px;
    padding-bottom: 40px;
}
.dengbao_02{
    margin: 24px 0;
}
.dengbao_02 svg{
    width: 48px;
    height: 48px;
    margin-right: 8px;
}
.dengbao_04{
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    background: url("../images/product/a35.png") no-repeat center;
    background-size: cover;
    padding-top: 40px;
    padding-bottom: 40px;
    text-align: center;
}
.dengbao_05 > div{
    height: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
    align-items: center;
    position: relative;
}
.dengbao_05 > div:nth-child(1){
    height: 68px;
}
.dengbao_05 > div > div{
    width: 100%;
}
.dengbao_05 .icon_jiantou{
    background: url("../images/product/a36.png") no-repeat center;
    width: 24px;
    height: 24px;
    display: inline-block;
    position: absolute;
    bottom: -16px;
    left: 50%;
    transform: translateX(-50%);
}

.product-brand{
    display: grid;
    grid-template-columns: repeat(8, 1fr);
}

.product-brand > a{
    display: flex;
    background: #fff;
    justify-content: center;
    align-items: center;
    align-content: center;
    height: 70px;
    border-radius: 8px;
    box-shadow: 0 0 12px rgba(145, 145, 145, 0.2);
}

.product-brand img{
    max-width: 90%;
    max-height: 90%;
}

.product_ipv6_01{
    background-size: cover;
}
.product_ipv6_02{
    background: url("../images/product/a54.png") no-repeat center;
    background-size: 100%;
    width: 819px;
    height: 496px;
}
.product_ipv6_03{
    line-height: 1.4em;
}
.product_ipv6_01 svg{
    width: 48px;
    height: 48px;
}

.tool_nav_item{
    background: #fff;
    border-radius: 16px;
    padding: 20px;
}
.tool_nav_item_01{
    width: 48px;
    height: 48px;
    border-radius: 8px;
    border: 1px solid #DCDFE6;
    display: flex;
    align-items: center;
    justify-content: center;
}
.tool_nav_item_01 img{
    max-width: 90%;
    max-height: 90%;
}
.tool_nav_item_02{
    width: calc(100% - 64px);
}
.tool_nav_item_03{
    border-top: 1px solid #DCDFE6;
    margin-top: 16px;
    padding-top: 20px;
}
